* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Ubuntu", system-ui;

  --primary-color: #eae8e0;
  --secondary-color: #31102f;
}

body {
  background-color: var(--secondary-color);
  background: radial-gradient(
    ellipse at center,
    rgba(49, 16, 47, 1) 0%,
    rgba(40, 11, 41, 1) 100%
  );
}

main {
  color: var(--primary-color);
}

#stars {
  display: block;
  position: relative;
  width: 100%;
  height: 16rem;
  height: 100vh;
  z-index: 1;
  will-change: transform;
}

a {
  text-decoration: none;
  color: var(--primary-color);
}

ul {
  list-style: none;
}

hr.solid {
  margin-top: 2rem;
  margin-bottom: 1rem;
  border-top: 2px solid #bbb;
  border-radius: 3rem;
}

.container {
  display: flex;
}

.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 2;
  display: flex;
  flex-direction: column;
  width: 250px;
  height: 100vh;
  padding: 20px;
  color: var(--primary-color);
  transition: width 0.3s;
}

.sidebar h2 {
  margin-bottom: auto;
}

.sidebar ul {
  display: flex;
  flex-direction: column;
  justify-content: center;
  flex-grow: 1;
}

.sidebar ul li {
  margin: 1rem 0 1rem 1rem;
}

.content {
  flex: 1;
  padding: 20px;
}

@media (min-width: 1024px) {
  .content {
    margin-left: 250px;
  }
}

.btn {
  display: table;
  width: 100%;
  padding: 8px;
  color: var(--primary-color);
  background-color: transparent;
  border: 1px solid var(--primary-color);
  border-radius: 8px;
}

.btn:hover {
  background-color: var(--primary-color);
  color: var(--secondary-color);
  transform: scale(1.05);
  transition: ease-in-out 0.2s;
}

@media (max-width: 768px) {
  .sidebar {
    display: none;
  }
}

#hero {
  height: 100vh;
  justify-content: center;
  flex-direction: column;
}

@media (max-width: 768px) {
  #hero {
    height: 80vh;
    display: block;
  }
}

#hero h1 {
  margin-left: auto;
  margin-right: auto;
  font-size: 3.5rem;
  color: transparent;
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: var(--primary-color);
}

#hero p {
  margin-left: auto;
  margin-right: auto;
  font-size: 1.5rem;
  font-weight: bold;
}

.exp-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.exp-card {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 1rem;
  padding: 1rem;
  border: 1px solid var(--primary-color);
  border-radius: 1rem;
}

.exp-card img {
  max-height: 5rem;
}

#skills h3 {
  margin: 2rem;
}

#skills img {
  max-height: 5rem;
}

.skills-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.skill-card {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 1rem;
  padding: 1rem;
  border: 1px solid var(--primary-color);
  border-radius: 1rem;
}

.skill-card p {
  margin-top: 1rem;
}

.description {
  display: none;
  margin-top: 1rem;
  text-align: center;
}

.toggle-description {
  margin-top: 0.5rem;
  padding: 0.5rem 1rem;
  border: none;
  color: var(--primary-color);
  background-color: transparent;
  cursor: pointer;
}

.contact-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 15rem;
}

#contact ul {
  margin-top: auto;
  display: flex;
  flex-direction: row;
}

#contact ul li {
  margin: 1rem;
}

#contact ul li a {
  font-size: 2rem;
}
